software‎ > ‎módulos‎ > ‎engine‎ > ‎artigos‎ > ‎

suporte ao Postgres

Introdução

O Engine possui suporte ao PostgreSQL 9.1 ou superior. Para usar-lo, algumas configurações devem ser feitas, na interface Manage do Engine e no arquivo de configuração do Postgress. Veja abaixo o que deve ser feito.

Driver

A biblioteca de código libpq.dll necessárias para acessar o banco PostgreSQL acompanha a instalação do Engine, não sendo necessário fazer o seu download.

Configuração Manage

  • Type: pgsql
  • Reference: host[:port]:database(Obs: o atributo database é sensível ao caso)
  • exemplo:


Configuração postgresql.conf

Existe um arquivo dentro da pasta onde foi instalado o Postgres, chamado de postgresql.conf. Procure-o com ajuda do search do windows, depois abra-o e altere as seguintes linhas:
  • A propriedade datestyle deve ser ISO,mdy.
  • A propriedade standard_conforming_strings deve ser on.(build 10.1.0.? ou superior).